import java.awt.event.*;
import javax.swing.JOptionPane;
import javax.swing.JMenuItem;

public class InsertElementListener implements ActionListener {
   private BlockSpringConfiguration bsConfig;
   public InsertElementListener (BlockSpringConfiguration bsc){
      bsConfig = bsc;
   }
   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();
      if (text.equals("Mass")){
         String mass = JOptionPane.showInputDialog("Block mass [kg]:", 1f);
         int fix = JOptionPane.showConfirmDialog(null,"Fix the block?","",JOptionPane.YES_NO_OPTION);
         bsConfig.add(new GBlock(Float.parseFloat(mass), new Vector2D(200f,200f), new Vector2D(), 40f, 40f, fix));
      }
      if (text.equals("Spring")){
         String restLength = JOptionPane.showInputDialog("Spring restlength [cm]:", 200f);
         String stiffness = JOptionPane.showInputDialog("Spring stiffness:", 10f);
         bsConfig.add(new GSpring (Float.parseFloat(restLength), Float.parseFloat(stiffness)));
      }
      if (text.equals("String")){ // create a new GString object, asking for its length.
         String length = JOptionPane.showInputDialog("String length [cm]:", 100f);
         bsConfig.add(new GString (Float.parseFloat(length)));
      }
      if (text.equals("Pendulum")){ // Creats a system with a block, a fixed block and a string. Needs to set gravity for a correct performance.
         String mass = JOptionPane.showInputDialog("Mobile block mass [kg]:", 1f);
         bsConfig.add(new GBlock(20.0f, new Vector2D(200f,200f), new Vector2D(), 40f, 40f, 0));
         bsConfig.add(new GBlock(Float.parseFloat(mass), new Vector2D(100f,200f), new Vector2D(), 40f, 40f, 1));
         bsConfig.add(new GString (100f));
      }
   }
}